<?xml version="1.0" encoding="utf-8"?><feed xmlns="http://www.w3.org/2005/Atom"><title>GNUcode.me</title><id>https://gnucode.me/feeds/tags/doom emacs.xml</id><subtitle>Tag: doom emacs</subtitle><updated>2024-04-18T01:18:57Z</updated><link href="https://gnucode.me/feeds/tags/doom emacs.xml" rel="self" /><link href="https://gnucode.me" /><entry><title>Doom Emacs rocks!</title><id>https://gnucode.me/doom-emacs-rocks.html</id><author><name>Joshua Branson</name><email>jbranso@dismail.de</email></author><updated>2022-11-15T13:00:00Z</updated><link href="https://gnucode.me/doom-emacs-rocks.html" rel="alternate" /><content type="html">&lt;p&gt;I have been using Doom emacs for about 6 months now, and I must say the
experience is truly wonderful!  It is hands down the best Emacs distribution
that I have ever used.  And it is &lt;em&gt;sooo fast&lt;/em&gt;!&lt;/p&gt;&lt;p&gt;I used to own my own emacs config, which is something that everyone should do at
some point to help you learn more about emacs, but maintaining your own emacs
config is really hard.  You have to:&lt;/p&gt;&lt;ol&gt;&lt;li&gt;Fix any bugs that you have. &lt;a href=&quot;https://elpa.gnu.org/packages/bug-hunter.html&quot;&gt;bug hunter is really helpful for this&lt;/a&gt;&lt;/li&gt;&lt;li&gt;examine any cool packages that you may want to add.&lt;/li&gt;&lt;li&gt;Keep up to date with new packages that are probably better than the packages
that you are using.&lt;/li&gt;&lt;li&gt;Update packages and deal with any new bugs they introduce.&lt;/li&gt;&lt;li&gt;Stay sane with all the complexity.&lt;/li&gt;&lt;/ol&gt;&lt;p&gt;I did the above for some time, and it is doable.  I maintained my own Emacs for
so long, because it was one of the few coding projects that I actively used and
worked on.  The problem was that my config’s stability varied week to week, and
it made it harder to focus on actually helping &lt;a href=&quot;https://guix.gnu.org&quot;&gt;GNU Guix&lt;/a&gt;.  At a certain point I
decided that I would rather let someone else maintain a config, so that I could
spend more time helping a free software project.&lt;/p&gt;&lt;p&gt;I also realized that since I use Doom emacs so often, and it is in need of
&lt;a href=&quot;https://liberapay.com/hlissner&quot;&gt;funding,&lt;/a&gt; that I should probably go ahead and chip in.  I highly reccommend you
to check out Doom Emacs, and consider donating.  Currently the maintainer of
Doom can only allocate 12 hours per week on the project, but hopefully the
community will be able to support his work full time.&lt;/p&gt;</content></entry></feed>